# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.admin.RegistrationResult

Packages that use RegistrationResult
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin
Administrative flow APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.

## Uses of RegistrationResult in net.shibboleth.idp.plugin.authn.webauthn.admin

Methods in net.shibboleth.idp.plugin.authn.webauthn.admin that return RegistrationResult
Modifier and Type
Method
Description
`RegistrationResult`
RegistrationResult.Builder.`build()`
`RegistrationResult`
RegistrationResult.IBuildStage.`build()`
Build a registration result.

## Uses of RegistrationResult in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with parameters of type RegistrationResult
Modifier and Type
Method
Description
`private void`
StorePublicKeyCredential.`logRegistration(WebAuthnRegistrationContext context, String username, RegistrationResult registrationResult)`
Log a successful registration event.

## Uses of RegistrationResult in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client that return RegistrationResult
Modifier and Type
Method
Description
`RegistrationResult`
WebAuthnAuthenticationClient.`validateAuthenticatorAttestationResponse(com.yubico.webauthn.data.PublicKeyCredentialCreationOptions publicKeyCredentialCreationOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAttestationResponse,com.yubico.webauthn.data.ClientRegistrationExtensionOutputs> publicKeyCredentialAttestationResponse)`
Validate the PublicKeyCredential authenticator attestation response from a registration request.

## Uses of RegistrationResult in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl that return RegistrationResult
Modifier and Type
Method
Description
`RegistrationResult`
YubicoWebAuthnAuthenticationClient.`validateAuthenticatorAttestationResponse(com.yubico.webauthn.data.PublicKeyCredentialCreationOptions publicKeyCredentialCreationOptions, com.yubico.webauthn.data.PublicKeyCredential<com.yubico.webauthn.data.AuthenticatorAttestationResponse,com.yubico.webauthn.data.ClientRegistrationExtensionOutputs> authenticatorAttestationResponse)`
Validate the PublicKeyCredential authenticator attestation response from a registration request.

## Uses of RegistrationResult in net.shibboleth.idp.plugin.authn.webauthn.context

Fields in net.shibboleth.idp.plugin.authn.webauthn.context declared as RegistrationResult
Modifier and Type
Field
Description
`private RegistrationResult`
WebAuthnRegistrationContext.`registrationResult`
The credential public key which is the result of registration of a new key pair generated by an authenticator.
Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return RegistrationResult
Modifier and Type
Method
Description
`RegistrationResult`
WebAuthnRegistrationContext.`getRegistrationResult()`
Get the credential public key which is the result of registration of a new key pair generated by the authenticator.
Methods in net.shibboleth.idp.plugin.authn.webauthn.context with parameters of type RegistrationResult
Modifier and Type
Method
Description
`WebAuthnRegistrationContext`
WebAuthnRegistrationContext.`setRegistrationResult(RegistrationResult result)`
Set the registration result which is the result of registration of a new key pair generated by an authenticator.